Get device batch

This function is deprecated and should not be used for new implementations: Use GET /v1/domains/configured-devices with query parameter “batchId”

Description

The get device batch method gets all devices created by a single invokation of bulk create device keys.

Request

GET /v1/domains/:domain/keys/batch/:batchId

Response

Successful response contains the following JSON formated body:

{
  batchId: number,
  keys: {
    deviceId: string,
    preSharedKey: string,
    tags?:{
      [key: string]: string
    }
  }[]
}

Response Status codes:

  • 200 on success

Request headers

This request must have the following headers:

  • Authorization: bearer <ApiKey>
  • X-Nabto-Organization: <organizationId>

Example

Request

curl "https://api.cloud.nabto.com/v1/domains/:domain/keys/batch/:batchId" \
  -H "Authorization: Bearer <ApiKey>" \
  -H "X-Nabto-Organization: <OrganizationId>"

Response

{
   "batchId": 42,
  "keys": [{
     "deviceId": "a.mydomain.example.net",
    "preSharedKey": "01010101010101010101010101010101",
    "tags":{
      "foo": "bar" 
    }
     
  },
  ...],
  
}